> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xenovia.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Patch Org



## OpenAPI

````yaml https://cp.xenovia.io/openapi.json patch /api/v1/orgs/{org_id}
openapi: 3.1.0
info:
  title: controlplane
  version: 1.0.0
servers: []
security: []
paths:
  /api/v1/orgs/{org_id}:
    patch:
      tags:
        - organizations
      summary: Patch Org
      operationId: patch_org_api_v1_orgs__org_id__patch
      parameters:
        - name: org_id
          in: path
          required: true
          schema:
            type: string
            title: Org Id
        - name: Authorization
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OrganizationUpdate'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrganizationRead'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    OrganizationUpdate:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        slug:
          anyOf:
            - type: string
            - type: 'null'
          title: Slug
        plan:
          anyOf:
            - $ref: '#/components/schemas/OrgPlan'
            - type: 'null'
        status:
          anyOf:
            - $ref: '#/components/schemas/OrgStatus'
            - type: 'null'
      type: object
      title: OrganizationUpdate
    OrganizationRead:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        name:
          type: string
          title: Name
        slug:
          type: string
          title: Slug
        workos_org_id:
          type: string
          title: Workos Org Id
        plan:
          $ref: '#/components/schemas/OrgPlan'
        status:
          $ref: '#/components/schemas/OrgStatus'
      type: object
      required:
        - id
        - created_at
        - updated_at
        - name
        - slug
        - workos_org_id
        - plan
        - status
      title: OrganizationRead
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    OrgPlan:
      type: string
      enum:
        - free
        - pro
        - enterprise
      title: OrgPlan
    OrgStatus:
      type: string
      enum:
        - active
        - suspended
        - deleted
      title: OrgStatus
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````